# Class CLN1Writers

java.lang.Object
com.io7m.calino.vanilla.CLN1Writers

All Implemented Interfaces:
  `CLNWriterFactoryType`

public final class CLN1Writers extends Object implements CLNWriterFactoryType
A writer factory supporting major version 1.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN1Writers()`
  A writer factory supporting major version 1.
  `CLN1Writers(com.io7m.jbssio.api.BSSWriterProviderType inWriters)`
  A writer factory supporting major version 1.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNWriterType`
  `createWriter(CLNWriteRequest request)`
  Create a new writer for the given request.
  `int`
  `highestMinorVersion()`
  `int`
  `supportedMajorVersion()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLN1Writers

    public CLN1Writers()
    A writer factory supporting major version 1.

  - ### CLN1Writers

    public CLN1Writers(com.io7m.jbssio.api.BSSWriterProviderType inWriters)
    A writer factory supporting major version 1.
    Parameters:
      `inWriters` - A writer provider

- ## Method Details

  - ### supportedMajorVersion

    public int supportedMajorVersion()
    Specified by:
      `supportedMajorVersion` in interface `CLNWriterFactoryType`
    Returns:
      The major file format version supported by this factory

  - ### highestMinorVersion

    public int highestMinorVersion()
    Specified by:
      `highestMinorVersion` in interface `CLNWriterFactoryType`
    Returns:
      The highest known minor version for this writer factory

  - ### createWriter

    public CLNWriterType createWriter(CLNWriteRequest request) throws IOException
    Description copied from interface: `CLNWriterFactoryType`
    Create a new writer for the given request.
    Specified by:
      `createWriter` in interface `CLNWriterFactoryType`
    Parameters:
      `request` - The request
    Returns:
      A new writer
    Throws:
      `IOException` - On errors